<html>

<head>

<title>Postfix Anatomy - Command-line Utilities</title>

<META NAME="ROBOTS" CONTENT="NOINDEX,NOFOLLOW">
</head>

<body background="obsolete.gif">

<h1><a href="big-picture.html"><img src="small-picture.gif" width="115" height="45"></a> Postfix
Anatomy - Command-line Utilities</h1>

<hr>

<p> <strong> Note: this web page is no longer maintained. It exists
only to avoid breaking links in web pages that describe earlier
versions of the Postfix mail system. </strong> </p>

<a href="docs.html">Up one level</a> | <a
href="receiving.html">Receiving Mail</a> | <a
href="delivering.html">Delivering Mail</a> | <a
href="backstage.html">Behind the Scenes</a> | Command-line Utilities

<p>

Enough daemon talk. The anatomy lesson ends with an introduction
to command-line utilities for day-to-day use of the Postfix mail
system. Besides the <a href="sendmail.1.html">sendmail</a>, <a
href="sendmail.1.html">mailq</a>, and <a
href="sendmail.1.html">newaliases</a> commands that were already
introduced, the Postfix system comes with it own collection of
utilities. For consistency, these are all named post<i>something</i>.

<ul>

<li>The <a href="postfix.1.html">postfix</a> command controls the
operation of the mail system. It is the interface for starting and
stopping the mail system, and for some other administrative
operations.  This command is reserved to the super-user.

<p>

<li>The <a href="postalias.1.html">postalias</a> command maintains
Postfix <a href="aliases.5.html">alias</a> databases. This is the
program behind the <a href="newaliases.1.html">newaliases</a>
command.

<p>

<li>The <a href="postcat.1.html">postcat</a> command displays the
contents of Postfix queue files. This is a limited, preliminary
utility.  This program is likely to be superseded by something more
powerful that can also edit Postfix queue files.

<p>

<li>The <a href="postconf.1.html">postconf</a> command displays
Postfix <b>main.cf</b> parameters: actual values, default values,
or parameters that have non-default settings.  This is a limited,
preliminary utility.  This program is likely to be superseded by
something more powerful that can not only list but also edit the
<b>main.cf</b> file.

<p>

<li>The <a href="postdrop.1.html">postdrop</a> command is the mail
posting utility that is run by the <a href="sendmail.1.html">sendmail</a>
command in order to deposit mail into the <b>maildrop</b> queue
directory.

<p>

<li>The <a href="postkick.1.html">postkick</a> command makes some
internal communication channels available for use in, for example,
shell scripts.

<p>

<li>The <a href="postlock.1.html">postlock</a> command provides
Postfix-compatible mailbox locking for use in, for example, shell
scripts.

<p>

<li>The <a href="postlog.1.html">postlog</a> command provides
Postfix-compatible logging for shell scripts.

<p>

<li>The <a href="postmap.1.html">postmap</a> command maintains
Postfix lookup tables such as <a href="canonical.5.html">canonical</a>,
<a href="virtual.5.html">virtual</a> and others. It is a cousin of
the UNIX <b>makemap</b> command.

<p>

<li>The <a href="postqueue.1.html">postqueue</a> command is the 
utility that is run by the <a href="sendmail.1.html">sendmail</a>
command in order to flush or list the mail queue.

<p>

<li>The <a href="postsuper.1.html">postsuper</a> command maintains
the Postfix queue. It removes old temporary files, and moves queue
files into the right directory after a change in the hashing depth
of queue directories. This command is run at mail system startup time.

</ul>

<hr>

<a href="docs.html">Up one level</a> | <a
href="receiving.html">Receiving Mail</a> | <a
href="delivering.html">Delivering Mail</a> | <a
href="backstage.html">Behind the Scenes</a> | Command-line Utilities

</body>

</html>
